import { getTranslations } from "next-intl/server";

import { Locale } from "@/i18n/routing";

import ProductCarousel from "./product-carousel";

async function SimilarProducts({ lang }: { lang: Locale }) {
  const t = await getTranslations("SimilarProducts");

  const services = [
    {
      id: 1,
      ProductName: t("ProductName"),
      oldPrice: 3200,
      newPrice: 2400.03,
      image: "/images/products/product-1.png",
    },
    {
      id: 2,
      ProductName: t("ProductName"),
      oldPrice: 3200,
      newPrice: 2400.03,
      image: "/images/products/product-1.png",
    },
    {
      id: 3,
      ProductName: t("ProductName"),
      oldPrice: 3200,
      newPrice: 2400.03,
      image: "/images/products/product-1.png",
    },
  ];

  return (
    <ProductCarousel
      items={services}
      title={t("OtherProducts")}
      subtitle={t("SimilarProducts")}
      lang={lang}
    />
  );
}

export default SimilarProducts;
